# AtomicDEX-PRO alpha

[![atomicDEX](https://i.ibb.co/D5GJLWy/adex.png)](https://atomicdex.io)

## [AtomicDEX](https://atomicdex.io) Desktop GUI application for Linux, MacOS and Windows. 

[![atomicDEX mobile](https://s5.gifyu.com/images/dextop_optimize_bg.gif)](https://atomicdex.io)


## Get Started

Follow the OS specific [build instructions](https://github.com/KomodoPlatform/atomicDEX-Pro/tree/master/ci_tools_atomic_dex#linux-quickstart) if you know what you are doing.

You can [download](https://github.com/KomodoPlatform/atomicDEX-Pro/releases) the pre-built <b>alpha</b> binaries on our [github release page](https://github.com/KomodoPlatform/atomicDEX-Pro/releases).

Please join our [discord server](https://komodoplatform.com/discord) discussions around atomicDEX and general UI/UX feedback.

## AtomicDEX mobile 

Check out AtomicDEX mobile, available for [Android and iOS](https://atomicdex.io) [![atomicDEX mobile](https://s5.gifyu.com/images/atomicdex_animation_small2.gif)](https://atomicdex.io)
## License

For details please refer to our [license](https://github.com/KomodoPlatform/atomicDEX-Pro/blob/master/LICENSE).

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Dependencies Managed by Self-Hosted vcpkg + fork

- boost-algorithm                           1.71.0           Boost algorithm module
- boost-any                                 1.71.0           Boost any module
- boost-array                               1.71.0           Boost array module
- boost-assert                              1.71.0           Boost assert module
- boost-atomic                              1.71.0           Boost atomic module
- boost-bind                                1.71.0           Boost bind module
- boost-build                               1.70.0-1         Boost.Build
- boost-chrono                              1.71.0           Boost chrono module
- boost-circular-buffer                     1.71.0           Boost circular_buffer module
- boost-compatibility                       1.71.0           Boost compatibility module
- boost-concept-check                       1.71.0           Boost concept_check module
- boost-config                              1.71.0           Boost config module
- boost-container-hash                      1.71.0           Boost container_hash module
- boost-container                           1.71.0           Boost container module
- boost-context                             1.71.0           Boost context module
- boost-conversion                          1.71.0           Boost conversion module
- boost-core                                1.71.0           Boost core module
- boost-crc                                 1.71.0           Boost crc module
- boost-date-time                           1.71.0           Boost date_time module
- boost-detail                              1.71.0           Boost detail module
- boost-endian                              1.71.0           Boost endian module
- boost-exception                           1.71.0           Boost exception module
- boost-filesystem                          1.71.0           Boost filesystem module
- boost-foreach                             1.71.0           Boost foreach module
- boost-function-types                      1.71.0           Boost function_types module
- boost-function                            1.71.0           Boost function module
- boost-functional                          1.71.0           Boost functional module
- boost-fusion                              1.71.0           Boost fusion module
- boost-integer                             1.71.0           Boost integer module
- boost-intrusive                           1.71.0           Boost intrusive module
- boost-io                                  1.71.0           Boost io module
- boost-iostreams                           1.71.0           Boost iostreams module
- boost-iterator                            1.71.0           Boost iterator module
- boost-lambda                              1.71.0           Boost lambda module
- boost-lexical-cast                        1.71.0           Boost lexical_cast module
- boost-locale                              1.71.0           Boost locale module
- boost-math                                1.71.0           Boost math module
- boost-modular-build-helper                1.71.0-1
- boost-move                                1.71.0           Boost move module
- boost-mp11                                1.71.0           Boost mp11 module
- boost-mpl                                 1.71.0           Boost mpl module
- boost-multi-index                         1.71.0           Boost multi_index module
- boost-multiprecision                      1.71.0           Boost multiprecision module
- boost-numeric-conversion                  1.71.0           Boost numeric_conversion module
- boost-optional                            1.71.0           Boost optional module
- boost-phoenix                             1.71.0           Boost phoenix module
- boost-pool                                1.71.0           Boost pool module
- boost-predef                              1.71.0           Boost predef module
- boost-preprocessor                        1.71.0           Boost preprocessor module
- boost-program-options                     1.71.0           Boost program_options module
- boost-proto                               1.71.0           Boost proto module
- boost-range                               1.71.0           Boost range module
- boost-ratio                               1.71.0           Boost ratio module
- boost-rational                            1.71.0           Boost rational module
- boost-regex                               1.71.0           Boost regex module
- boost-serialization                       1.71.0           Boost serialization module
- boost-smart-ptr                           1.71.0           Boost smart_ptr module
- boost-spirit                              1.71.0           Boost spirit module
- boost-static-assert                       1.71.0           Boost static_assert module
- boost-system                              1.71.0           Boost system module
- boost-thread                              1.71.0           Boost thread module
- boost-throw-exception                     1.71.0           Boost throw_exception module
- boost-tokenizer                           1.71.0           Boost tokenizer module
- boost-tti                                 1.71.0           Boost tti module
- boost-tuple                               1.71.0           Boost tuple module
- boost-type-index                          1.71.0           Boost type_index module
- boost-type-traits                         1.71.0           Boost type_traits module
- boost-typeof                              1.71.0           Boost typeof module
- boost-unordered                           1.71.0           Boost unordered module
- boost-utility                             1.71.0           Boost utility module
- boost-variant                             1.71.0           Boost variant module
- boost-vcpkg-helpers                       6                a set of vcpkg-internal scripts used to modulari...
- boost-winapi                              1.71.0           Boost winapi module
- [date](https://github.com/KomodoPlatform/date)             2019-11-08       A date and time library based on the C++17 <chro...
- [double-conversion](https://github.com/KomodoPlatform/double-conversion)    3.1.5            Efficient binary-decimal and decimal-binary conv...
- [entt](https://github.com/KomodoPlatform/entt)             072761c5ba343... Gaming meets modern C++ - a fast and reliable en...
- [fmt](https://github.com/KomodoPlatform/fmt)               7b478f9decef8... Formatting library for C++. It can be used as a ...
- [folly](https://github.com/KomodoPlatform/folly)           2019.10.21.00    An open-source C++ library developed and used at...
- [gflags](https://github.com/KomodoPlatform/gflags)         2.2.2-1          A C++ library that implements commandline flags ...
- [glog](https://github.com/KomodoPlatform/glog)             0.4.0-2          C++ implementation of the Google logging module
- [libevent](https://github.com/KomodoPlatform/libevent)     2.1.11-2         An event notification library
- [libsodium](https://github.com/KomodoPlatform/libsodium)   1.0.18-2         A modern and easy-to-use crypto library
- [nlohmann-json](https://github.com/KomodoPlatform/json)    3.7.3            JSON for Modern C++
- openssl-unix                              1.0.2s-1         OpenSSL is an open source project that provides ...
- openssl                                   1                OpenSSL is an open source project that provides ...
- [range-v3](https://github.com/KomodoPlatform/range-v3)     0.9.1            Range library for C++11/14/17.
- [zstd](https://github.com/KomodoPlatform/zstd)             1.4.0-1          Zstandard - Fast real-time compression algorithm
- boost-integer                             1.71.0           Boost integer module

## Dependencies Managed by Self-Hosting github fork

- [qsxing](https://github.com/KomodoPlatform/qzxing/archive/master.zip) 
Qt/QML wrapper library for the ZXing library. 1D/2D barcode image processing library
- [libwally](https://github.com/KomodoPlatform/libwally-core) Useful primitives for wallets (Windows/OSX)
- [libbitcoin-system](https://github.com/KomodoPlatform/libbitcoin-system) Bitcoin Cross-Platform C++ Development Toolkit https://libbitcoin.org/
- [reproc](https://github.com/KomodoPlatform/reproc) A cross-platform (C99/C++11) process library
- [loguru](https://github.com/KomodoPlatform/loguru) A lightweight C++ logging library
- [Restclient-cpp](https://github.com/KomodoPlatform/restclient-cpp) C++ client for making HTTP/REST requests